<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="items"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="items?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getInfo()"
    nzSize="small"
  >
    <thead>
    <tr>
      <th scope="col" class="text-nowrap text-center" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.fromDate' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.toDate' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.salaryRange' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.salaryLevel' | translate}}</th>
      <th scope="col" class="text-nowrap text-center">{{'selfService.table.salaryNumber' | translate}}</th>
      <th scope="col" class="text-nowrap text-center">{{'selfService.table.percentReceive' | translate}}</th>
      <th scope="col" class="text-nowrap text-center">{{'selfService.table.performanceFactor' | translate}}</th>
      <th scope="col" class="text-nowrap text-center">{{'selfService.table.ratio' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap text-center">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.fromDate }}</td>
      <td class="text-nowrap">{{ data?.toDate}}</td>
      <td class="text-nowrap">{{ data?.salaryGradeName}}</td>
      <td class="text-nowrap">{{ data?.salaryRankName}}</td>
      <td class="text-nowrap text-right">{{ data?.salaryAmount ?? 0 | formatCurrency:"VND" }} VNĐ</td>
      <td class="text-nowrap text-right">{{ data?.salaryPercent ?? 0 }} %</td>
      <td class="text-nowrap text-right">{{ data?.performanceFactor ?? 0}}</td>
      <td class="text-nowrap text-right">{{ data?.performancePercent ?? 0 }} %</td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>

